Bug 1954097 - [release-4.7] Tracking bug for NE-563 - support user-defined tags on AWS load balancers
Summary: [release-4.7] Tracking bug for NE-563 - support user-defined tags on AWS load...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1950284
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-27 15:11 UTC by OpenShift BugZilla Robot
Modified: 2022-08-04 22:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-19 15:16:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 606 0 None open [release-4.7] Bug 1954097: Annotate services of type LoadBalancer with user tags (AWS only) 2021-04-28 10:18:24 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:17:04 UTC

Comment 1 Andrew McDermott 2021-04-28 10:26:37 UTC
This is waiting for:

- https://github.com/openshift/api/pull/914
- https://github.com/openshift/installer/pull/4882

Comment 3 Hongan Li 2021-05-03 03:40:52 UTC
verified with 4.7.0-0.nightly-2021-05-01-081439 and passed.

$ oc get infrastructures.config.openshift.io cluster -oyaml
<---snip--->
status:
  platformStatus:
    aws:
      region: us-east-1
      resourceTags:
      - key: adminContact
        value: hongli
      - key: customTag
        value: mytestag
    type: AWS

$ oc -n openshift-ingress get svc/router-default -oyaml
apiVersion: v1
kind: Service
metadata:
  annotations:
    service.beta.kubernetes.io/aws-load-balancer-additional-resource-tags: adminContact=hongli,customTag=mytestag

$ oc -n openshift-ingress get svc/router-nlb -oyaml
apiVersion: v1
kind: Service
metadata:
  annotations:
    service.beta.kubernetes.io/aws-load-balancer-additional-resource-tags: adminContact=hongli,customTag=mytestag
    service.beta.kubernetes.io/aws-load-balancer-type: nlb

Comment 5 Siddharth Sharma 2021-05-10 17:59:37 UTC
This bug will be shipped as part of next z-stream release 4.7.11 on May 19th, as 4.7.10 was dropped due to a blocker https://bugzilla.redhat.com/show_bug.cgi?id=1958518.

Comment 9 errata-xmlrpc 2021-05-19 15:16:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.